%define _optlevel 3

Name: stellarium
Version: 0.5.2
Release: alt1

Group: Education
Summary: Planetarium
Url: http://stellarium.free.fr/
License: GPL

Source0: %name-%version.tar.bz2
Source1: stellarium-start
Source2: %name.16.xpm
Source3: %name.32.xpm
Source4: %name.48.xpm

#BuildRequires: XFree86-libs XFree86-devel aalib esound
#BuildRequires: libSDL-devel libSDL_gfx-devel libSDL_image-devel
#BuildRequires: libSDL_mixer-devel libSDL_net-devel
#BuildRequires: libalsa2 libarts libaudiofile libdirectfb
#BuildRequires: libjpeg libogg libslang libsmpeg libtiff libvorbis


# Automatically added by buildreq on Wed Oct 01 2003 (-bi)
#BuildRequires: XFree86-devel-static XFree86-libs esound gcc-c++ libGLU-devel libSDL-devel libalsa libaudiofile libstdc++-devel stellarium

BuildRequires: XFree86-devel XFree86-libs esound gcc-c++ libGLU-devel libSDL-devel libalsa
BuildRequires: libaudiofile libstdc++-devel

%description
Stellaruim provides planetarium on your desktop.
It renders 3D photo-realistic skies in real time:
- Over 120000 stars from the Hipparcos Catalogue with name and infos for the brightest ones.
- Planets in real time, with a powerfull zoom mode to see them like in a telescope.
- Drawing of the 88 constellations with their names.
- Drawing of more than 40 messiers objects (Orion, M31 etc..).
- Photorealistic Milky Way.
- Ground, fog, and landscape.
- Star twinkling.
- Grids in Equatorial and Azimuthal coordinates.
- Time control (real time and accelered time modes).
- Graphical menu for simple utilisation.
- Clikable stars, planets and nebulas with informations.
- Ecliptic and celestrial equator lines.
- Smooth real time navigation.

%prep
%setup -q
%__autoconf

%build
export LDFLAGS="-L/usr/X11R6/lib"
CFLAGS="%optflags" CXXLAGS="%optflags" \
%configure 
%make_build CFLAGS="%optflags" CXXLAGS="%optflags" 

%install
%makeinstall

mkdir -p %buildroot/%_gamesbindir
mv %buildroot/%_bindir/stellarium %buildroot/%_gamesbindir/stellarium
install -m 755 %SOURCE1 %buildroot/%_bindir/stellarium

mkdir -p %buildroot/%_gamesdatadir/%name
cp -R {textures,data,config} %buildroot/%_gamesdatadir/%name
rm -f  %buildroot/%_gamesdatadir/%name/{textures,data,config}/Makefile*

mkdir -p $RPM_BUILD_ROOT%_menudir
cat <<EOF >$RPM_BUILD_ROOT%_menudir/%name
?package(%name):command="%_bindir/%name" \
		  icon="%name.xpm" \
		  needs="x11" \
		  section="Applications/Edutainment" \
		  title="Stellarium" \
		  longtitle="Planetarium"
EOF

mkdir -p %buildroot/%_iconsdir %buildroot/%_miconsdir %buildroot/%_liconsdir
install -m 644 %SOURCE2 %buildroot/%_miconsdir/%name.xpm
install -m 644 %SOURCE3 %buildroot/%_iconsdir/%name.xpm
install -m 644 %SOURCE4 %buildroot/%_liconsdir/%name.xpm


%post
%update_menus
%postun
%clean_menus

%files
%doc AUTHORS ChangeLog TODO
%_bindir/*
%_gamesbindir/*
%_gamesdatadir/*
%_menudir/*
%_iconsdir/%name.xpm
%_miconsdir/%name.xpm
%_liconsdir/%name.xpm


%changelog
* Wed Oct 01 2003 Sergey V Turchin <zerg at altlinux dot org> 0.5.2-alt1
- new version
- fix build requires

* Fri Jan 17 2003 Sergey V Turchin <zerg@altlinux.ru> 0.5.0-alt1
- new version

* Mon Oct 14 2002 Sergey V Turchin <zerg@altlinux.ru> 0.4.9-alt1
- new version
- build with gcc3.2

* Tue Aug 13 2002 Sergey V Turchin <zerg@altlinux.ru> 0.4.7-alt1
- initial spec

